#include <bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("BAI3_16.INP");
	ofstream f2("BAI3_16.OUT");
	int n,a[10000],i,max;
	f1>>n;
	for(i=0;i<n;i++)
	{
		f1>>a[i];
	}
	max=a[0];
	for(i=1;i<n;i++)
	{
		if(a[i]>=max)max=a[i];
	}
	if(max<0)f2<<0;
    else f2<<max+1;
}
